package lt.bit.prekes.servlets;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.hibernate.Session;

import lt.bit.prekes.db.Db;
import lt.bit.prekes.models.Category;
import lt.bit.prekes.models.Product;

/**
 * Servlet implementation class CategoriesServlet
 */
@WebServlet("/categories")
public class CategoriesServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public CategoriesServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		Session session=Db.getSessionFactory().openSession();
		List<Category> categories=session.createQuery("SELECT c FROM Category c", Category.class).getResultList(); 
		
		session.close();
		
		//"persiunčiame" duomenis į JSP
		request.setAttribute("categories", categories);
		
		//Užkrauname JSP failą
		RequestDispatcher dispatcher=request.getRequestDispatcher("/categories.jsp");
		dispatcher.forward(request, response);
	}

}
